<!DOCTYPE html>
<html lang="en">
  <head>
    <title></title>
  </head>
  <body>
    <main>
      <div>
        <h1>My Lists</h1>
        <p>
          <a href="{% url 'todo_list_create' %}">Create a new list</a>
          <a href="{% url 'todo_item_create' %}">Create a new item</a>
        </p>
        <table>
          <thead>
            <tr>
              <th>Name</th>
              <th>Number of items</th>
            </tr>
          </thead>
          <tbody>
            {% for item in todolist_list %}
            <tr>
              <td>
                <a href="{% url 'todo_list_detail' item.id %}"
                  >{{ item.name }}</a
                >
              </td>
              <td>{{ item.items.all|length }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
